root = true

[*]
charset = utf-8
insert_final_newline = false
trim_trailing_whitespace = true

[*.cs]
indent_size = 4
indent_style = space
csharp_indent_case_contents = true:suggestion
csharp_indent_labels = flush_left:error
csharp_indent_switch_labels = false:suggestion
csharp_new_line_before_catch = true:suggestion
csharp_new_line_before_else = true:suggestion
csharp_new_line_before_finally = true:suggestion
csharp_new_line_before_members_in_anonymous_types = false:suggestion
csharp_new_line_before_members_in_object_initializers = false:suggestion
csharp_new_line_before_open_brace = accessors,events,indexers,local_functions,methods,properties,types:warning
csharp_new_line_between_query_expression_clauses = true:suggestion
csharp_prefer_braces = true:error
csharp_prefer_simple_default_expression = true:warning
csharp_preferred_modifier_order = public,private,protected,internal,static,extern,new,virtual,abstract,sealed,override,readonly,unsafe,volatile,async:warning
csharp_preserve_single_line_blocks = false:error
csharp_preserve_single_line_statements = false:error
csharp_space_after_cast = true:warning
csharp_space_after_colon_in_inheritance_clause = true:warning
csharp_space_after_keywords_in_control_flow_statements = true:warning
csharp_space_around_binary_operators = before_and_after:warning
csharp_space_before_colon_in_inheritance_clause = true:warning
csharp_space_between_method_call_empty_parameter_list_parentheses = false:warning
csharp_space_between_method_call_name_and_opening_parenthesis = false:warning
csharp_space_between_method_call_parameter_list_parentheses = false:warning
csharp_space_between_method_declaration_empty_parameter_list_parentheses = false:warning
csharp_space_between_method_declaration_parameter_list_parentheses = false:warning
csharp_space_between_parentheses = false:warning
csharp_style_conditional_delegate_call = true:warning
csharp_style_deconstructed_variable_declaration = true:warning
csharp_style_expression_bodied_accessors = when_on_single_line:suggestion
csharp_style_expression_bodied_constructors = when_on_single_line:suggestion
csharp_style_expression_bodied_indexers = when_on_single_line:suggestion
csharp_style_expression_bodied_methods = when_on_single_line:suggestion
csharp_style_expression_bodied_operators = when_on_single_line:suggestion
csharp_style_expression_bodied_properties = when_on_single_line:warning
csharp_style_inlined_variable_declaration = true:warning
csharp_style_pattern_local_over_anonymous_function = true:warning
csharp_style_pattern_matching_over_as_with_null_check = true:warning
csharp_style_pattern_matching_over_is_with_cast_check = true:warning
csharp_style_throw_expression = true:warning
dotnet_sort_system_directives_first = true:warning
dotnet_style_coalesce_expression = true:warning
dotnet_style_collection_initializer = true:warning
dotnet_style_explicit_tuple_names = true:warning
dotnet_style_null_propagation = true:warning
dotnet_style_object_initializer = true:suggestion
dotnet_style_predefined_type_for_locals_parameters_members = true:warning
dotnet_style_predefined_type_for_member_access = true:warning
dotnet_style_prefer_auto_properties = true:warning
dotnet_style_prefer_inferred_anonymous_type_member_names = true:warning
dotnet_style_prefer_inferred_tuple_names = true:suggestion
dotnet_style_prefer_is_null_check_over_reference_equality_method = true:warning
dotnet_style_qualification_for_event = false:warning
dotnet_style_qualification_for_field = false:warning
dotnet_style_qualification_for_method = false:warning
dotnet_style_qualification_for_property = false:warning
dotnet_style_readonly_field = true:warning
dotnet_style_require_accessibility_modifiers = for_non_interface_members:warning
